﻿using System;
using System.Linq;
using Telerik.Windows.Controls;

namespace PanelBar_WPF_ItemsAutoScroll
{
	public class DataItem : ViewModelBase
	{
		private string header;
		private bool isSelected;

		public bool IsSelected
		{
			get
			{
				return this.isSelected;
			}
			set
			{
				if (value != this.isSelected)
				{
					this.isSelected = value;
					this.OnPropertyChanged("IsSelected");
				}
			}
		}

		public string Header
		{
			get
			{
				return this.header;
			}
			set
			{
				if (this.header != value)
				{
					this.header = value;
					this.OnPropertyChanged("Header");
				}
			}
		}
	}
}