﻿using System;
using System.Collections.ObjectModel;
using System.Linq;
using Telerik.Windows.Controls;

namespace PanelBar_WPF_ItemsAutoScroll
{
	public class MainViewModel : ViewModelBase
	{
		public MainViewModel()
		{
			this.Children = new ObservableCollection<DataItem>();
		}

		private DataItem currentItem;
		public DataItem CurrentItem
		{
			get { return this.currentItem; }
			set
			{
				if (this.currentItem != value)
				{
					this.currentItem = value;
					this.OnPropertyChanged("CurrentItem");
				}
			}
		}

		public ObservableCollection<DataItem> Children { get; set; }
	}
}